package com.hfkj.service.merchant;

import com.hfkj.entity.BsMerchant;
import com.hfkj.sysenum.merchant.MerchantStatusEnum;

import java.util.List;
import java.util.Map;

/**
 * @className: BsMerchantService
 * @author: HuRui
 * @date: 2024/3/4
 **/
public interface BsMerchantService {

    /**
     * 编辑数据
     * @param merchant
     */
    void editData(BsMerchant merchant);

    /**
     * 创建商户
     * @param merchant
     */
    void createMerchant(BsMerchant merchant) throws Exception;

    /**
     * 重置密码
     * @param merNo
     */
    void resetMerPwd(String merNo) throws Exception;

    /**
     * 修改商户状态
     * @param merNo
     * @param merchantStatus
     */
    void updateMerStatus(String merNo, MerchantStatusEnum merchantStatus);

    /**
     * 修改商户
     * @param merchant
     */
    void updateMerchant(BsMerchant merchant);

    /**
     * 查询商户
     * @param merNo
     * @return
     */
    BsMerchant getMerchant(String merNo);

    /**
     * 查询商户
     * @param merId
     * @return
     */
    BsMerchant getMerchant(Long merId);

    /**
     * 查询商户列表
     * @param param
     * @return
     */
    List<BsMerchant> getMerchantList(Map<String,Object> param);

}
